classification
Title: import new fails
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.1
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, brett.cannon, georg.brandl, illume, quentin.gallet-gilles, techtonik
Priority: normal Keywords:

Created on 2009-09-22 09:16 by illume, last changed 2012-07-22 08:47 by techtonik. This issue is now closed.

Messages (6)
msg92974 - (view) Author: Rene Dudfield (illume) Date: 2009-09-22 09:16
python3.1

>>> import new
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named new

2to3-3.1 doesn't mention how to change it.
msg92976 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2009-09-22 09:24
The 'new' module has been removed in python 3.0. The documentation
advices you to use the 'types' modules instead
(http://docs.python.org/library/new.html).

I'm also pretty sure you get a message for this module if you enable the
warnings at interpreter startup in python 2.6.
msg92978 - (view) Author: Rene Dudfield (illume) Date: 2009-09-22 10:11
Hi,

yes it does report a warning with 2.6, thanks.

python2.6 -3 -c "import new"
-c:1: DeprecationWarning: The 'new' module has been removed in Python
3.0; use the 'types' module instead.

I guess it should be a TODO item with 2to3.

cheers,
msg93016 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-09-22 20:33
Benjamin can re-open if he wants, but having 2to3 emit warnings about 
deprecated modules is not what it is meant to do. 2to3 is supposed to only 
be run once you are running against 2.6 w/ no DeprecationWarning or 
Py3KWarning being raised, which would have covered this issue.

If the docs don't make this clear then they need to be changed to do so 
(and that should be a new issue anyway).
msg93032 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-23 11:51
Bottom line: move over to the types module *before* running 2to3.
msg166110 - (view) Author: anatoly techtonik (techtonik) Date: 2012-07-22 08:47
Damn it. I've run 2to3 during setup.py phase and went smoothly, but when I run examples the package fails.

It should at least warn about this "import new". It should not be that hard to catch.
History
Date User Action Args
2012-07-22 10:59:27floxlinkissue15420 superseder
2012-07-22 08:47:24techtoniksetnosy: + techtonik
messages: + msg166110
2009-09-23 11:51:24georg.brandlsetnosy: + georg.brandl
messages: + msg93032
2009-09-22 20:33:52brett.cannonsetstatus: open -> closed

nosy: + brett.cannon
messages: + msg93016

resolution: wont fix
2009-09-22 10:17:37georg.brandlsetassignee: benjamin.peterson

nosy: + benjamin.peterson
2009-09-22 10:11:18illumesetmessages: + msg92978
2009-09-22 09:24:06quentin.gallet-gillessetnosy: + quentin.gallet-gilles
messages: + msg92976
2009-09-22 09:16:47illumecreate